# Class JsonExtensions

Namespace
  adas_core.Domain.Utils

Assembly
  adas-core.Domain.dll

Provides extension methods for JSON-related operations.

    public static class JsonExtensions

Inheritance
  object
  JsonExtensions

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### CopyToBson(string, string, FileMode)

Reads JSON content from the specified input file and writes it as BSON to the output file. By default, uses CreateNew, which requires the output file to not already exist.

    public static void CopyToBson(string inputPath, string outputPath, FileMode fileMode = FileMode.CreateNew)

#### Parameters

`inputPath` string

  The path to the source JSON file to read from.

`outputPath` string

  The path to the destination BSON file to write to.

`fileMode` FileMode

  The file mode used to open the output file. Defaults to CreateNew.